Frame.Decompressor (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport

## Class Frame.Decompressor

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder<Frame>
      - - org.apache.cassandra.transport.Frame.Decompressor

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler
  Enclosing class:
    Frame

      @ChannelHandler.Sharable
      public static class Frame.Decompressor
      extends io.netty.handler.codec.MessageToMessageDecoder<Frame>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Decompressor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(io.netty.channel.ChannelHandlerContext ctx, Frame frame, java.util.List<java.lang.Object> results)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### Decompressor

          public Decompressor()

  - ### Method Detail

    - #### decode

          public void decode(io.netty.channel.ChannelHandlerContext ctx,
                             Frame frame,
                             java.util.List<java.lang.Object> results)
                      throws java.io.IOException

      Specified by:
        `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<Frame>`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation